problem running loki_update

Talk about everything.
Post Reply
dam213

problem running loki_update

Post by dam213 » Mon May 09, 2005 23:49

I've installed Loki and I can't start the program.

when I type "loki_update" on my terminal I've this code

Code: Select all

Searching for installed products... Warning: This XML file was generated with a later version of setupdb (1.6).
Problems may occur.
done!
Warning: This XML file was generated with a later version of setupdb (1.6).
Problems may occur.

Loki Update Tool
URL: http://updates.lokigames.com/loki_update/updates.txt
http://updates.lokigames.com/loki_update/updates.txt (6K)
/root/.loki/loki_update/t [########################]       6K |   89.90K/s
6212 bytes transferred in 0.07 sec (89.89k/sec)
Retrieved update list
No new updates available
ERROR: Interactive updates require X11
root@xxxx:/home/xxxx/Desktop # loki_update
Searching for installed products... Warning: This XML file was generated with a later version of setupdb (1.6).
Problems may occur.
done!
Warning: This XML file was generated with a later version of setupdb (1.6).
Problems may occur.


Loki Update Tool
URL: http://updates.lokigames.com/loki_update/updates.txt
http://updates.lokigames.com/loki_update/updates.txt (6K)
/root/.loki/loki_update/t [########################]       6K |   98.00K/s
6212 bytes transferred in 0.06 sec (97.98k/sec)
Retrieved update list
No new updates available
ERROR: Interactive updates require X11


Is anyone can help me ?

Asaru

Post by Asaru » Tue May 10, 2005 18:27

/root/.loki/loki_update/t
ERROR: Interactive updates require X11

you do install your games as root?

just dont give shell with "su -" your root rights
use "ssh -X root@127.0.0.1" to gain root

this way the shell has the permission to forward X11 stuff to you monitor..

Guest

Post by Guest » Wed May 11, 2005 0:46

great, the problem is solved thank you :)

Post Reply